

set cspath=C:\QFIXSAGE\comskip\
set hbpath=c:\program files\Handbrake\
set muxpath=c:\QFIXSAGE\
set fname=%~d1%~p1%~n1
set touchpath=C:\QFIXSAGE\

echo %cspath%
echo %hbpath%
echo %fname%

rem "first we want to run comskip on the squeeze play episode with its own init file"
cd "%~d1%~p1"
%cspath%comskip.exe --ini=%cspath%DailyShow.ini "%~f1"
rem IF %ERRORLEVEL% GTR 1 goto comskip_error

rem "then we want to run handbrake on the executable to create the mp4 file"
start /wait /belownormal "handbrake" "%hbpath%HandBrakeCLI.exe" -i "%~f1" -o "%fname%.mp4" --preset=iPod
if errorlevel = 1 goto handbrake_error

rem "then we want to take the .chap file and merge it" 
rem "first we convert the edl file to a chapter file. I use a tool to do this rather than having"
rem "comskip output the chap file because comskip puts a chapter mark past the end of the file"
rem "and mp4creator doesn't like that"
%muxpath%EdlToChapterFile.exe "%fname%.edl" "%fname%.chap"
%muxpath%mp4creator.exe "%fname%.chap" "%fname%.mp4"

"%touchpath%touch.exe" -r "%~f1" "%fname%.mp4"

rem "clean up"
del "%fname%.txt"
del "%fname%.QFixed"
del "%~f1"

goto end

:comskip_error
echo "comskip failed" > %fname%.error
goto end

:handbrake_error
echo "Handbrake failed" > %fname%.error
goto end

:end
